declare enum VISUAL_EDITOR_COMPONENT_ACTION {
    'edit' = 0
}
declare enum VISUAL_EDITOR_COMPONENT_STORAGE {
    'paragraph' = 0
}
export interface VisualEditorComponentProps {
    action: keyof typeof VISUAL_EDITOR_COMPONENT_ACTION;
    storage: keyof typeof VISUAL_EDITOR_COMPONENT_STORAGE;
    uuid: string;
}
export declare const openVisualEditorComponent: ({ action, storage, uuid }: VisualEditorComponentProps) => void;
interface SyncDrupalComponentOrderProps {
    items: {
        original: Array<string>;
        updated: Array<string>;
    };
    active: {
        id: string;
        index: number;
    };
    over: {
        id: string;
        index: number;
    };
}
export declare const syncDrupalComponentOrder: (changes: SyncDrupalComponentOrderProps) => void;
export {};
